diff --git a/modules/db_cassandra/dbcassa_base.cpp b/modules/db_cassandra/dbcassa_base.cpp
old mode 100644
new mode 100755
index ffa9e3b..f352b4b
--- a/modules/db_cassandra/dbcassa_base.cpp
+++ b/modules/db_cassandra/dbcassa_base.cpp
@@ -862,8 +862,12 @@ int db_cassa_raw_query(const db1_con_t* _h, const str* _s, db1_res_t** _r)
 	}
 
 	if (!cassa_cql_res.__isset.rows) {
-		LM_ERR("The resultype rows was not set, no point trying to parse result.\n");
-		goto error;
+		LM_DBG("The resultype rows was not set, no point trying to parse result.\n");
+		db_res = db_new_result();
+		RES_ROW_N(db_res) = 0;
+		RES_COL_N(db_res)= 0;
+		*_r = db_res;
+		goto done;
 	}
 
 	res_cql_rows = cassa_cql_res.rows;
